WinNT.HANDLE (JNA API)

com.sun.jna.platform.win32

## Class WinNT.HANDLE

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE

- All Implemented Interfaces:
    NativeMapped
  Direct Known Subclasses:
    WinDef.HBITMAP, WinDef.HBRUSH, WinDef.HDC, WinDef.HFONT, WinDef.HGLRC, WinDef.HICON, WinDef.HINSTANCE, WinDef.HMENU, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, Winevt.EVT_HANDLE, WinReg.HKEY, Winsvc.SC_HANDLE, WinUser.HHOOK, WinUser.HMONITOR
  Enclosing interface:
    WinNT

      public static class WinNT.HANDLE
      extends PointerType

  Handle to an object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HANDLE()`
    `HANDLE(Pointer p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `fromNative(java.lang.Object nativeValue, FromNativeContext context)` Override to the appropriate object for INVALID_HANDLE_VALUE.
    `void` | `setPointer(Pointer p)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, getPointer, hashCode, nativeType, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HANDLE

          public HANDLE()

    - #### HANDLE

          public HANDLE(Pointer p)

  - ### Method Detail

    - #### fromNative

          public java.lang.Object fromNative(java.lang.Object nativeValue,
                                             FromNativeContext context)

      Override to the appropriate object for INVALID_HANDLE_VALUE.
      Specified by:
        `fromNative` in interface `NativeMapped`
      Overrides:
        `fromNative` in class `PointerType`
      Parameters:
        `nativeValue` - Java representation of the native type to be converted.
        `context` - Context in which the conversion is taking place.
      Returns:
        Converted object.

    - #### setPointer

          public void setPointer(Pointer p)

      Overrides:
        `setPointer` in class `PointerType`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `PointerType`

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.